petsc-3.13.6 2020-09-29
Report Typos and Errors

# SNESGetUpdateNorm

Gets the last computed norm of the Newton update

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetUpdateNorm(SNES snes, PetscReal *ynorm)

Not Collective

### Input Parameter

snes -the SNES context

### Output Parameter

ynorm -the last computed update norm

### See Also

SNESSetNormSchedule(), SNESComputeFunction(), SNESGetFunctionNorm()

### Level

developer

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages